unit Activate;

interface

uses
	SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
	Forms, Dialogs, StdCtrls, Buttons;

type
	TActivateForm = class(TForm)
	LabelActPsw1: TLabel;
	Label2: TLabel;
	OKBtn: TBitBtn;
	AP1: TEdit;
	AP2: TEdit;
	CancelBtn: TBitBtn;
	procedure OKBtnClick(Sender: TObject);
private
{ Private declarations }
public
{ Public declarations }
end;

var
	ActivateForm: TActivateForm;
implementation
uses
	SproMeps,Eval;
{$R *.DFM}


{******************************************************************************
Function        : OKBtnClick
******************************************************************************}

procedure TActivateForm.OKBtnClick(Sender: TObject);
   begin
      if ((AP1.Text <> '') and (AP2.Text <> '' )) then
      begin
         if ((length(AP1.Text) <= MAX_PASSWORDS_LENGTH) and (length(AP2.Text)<=MAX_PASSWORDS_LENGTH)) then
         begin
            try
               pwWord2 := StrToInt('$' + ActivateForm.AP2.Text);
               pwWord1 := StrToInt('$' + ActivateForm.AP1.Text);
               ModalResult := mrOK;
            except
               on EConvertError do
                  MessageDlg('Activate Passwords must be in hex with length not exceeding 4 digit.',
                                    mtError, [mbOK], 0);
            end;
         end
         else
            MessageDlg('Activate Passwords must be in hex with length not exceeding 4 digit.' ,
                              mtError, [mbOK], 0);
      end
      else
         MessageDlg('Specify Activate Passwords to proceed.' ,
                           mtError, [mbOK], 0);
   end;


end.
