{******************************************************************************
* Description: SuperPro Evaluation Program
*
*(C) Copyright 1996-2002 Rainbow Technologies, Inc.  All rights reserved.
******************************************************************************}

{$IFDEF VER130}        // Delphi 5 compiler version number
{$IFDEF WIN32}         // Win32 system (Delphi 5 only supports Win32)
{$DEFINE MSWINDOWS}    // Define MSWINDOWS directive like Delphi 6.
{$ENDIF}
{$ENDIF}

program Sproeval;

uses
{$IFDEF MSWINDOWS}
  Forms,
{$ENDIF} // MSWINDOWS

{$IFDEF LINUX}
  QForms,
{$ENDIF} // LINUX

  // List of included forms and units.
  Eval in 'Eval.pas' {MainForm},
  Password in 'Password.pas' {PWForm},
  Activate in 'Activate.pas' {ActivateForm},
  EnumServer in 'EnumServer.pas' {EnumServerForm},
  Key_info in 'Key_info.pas' {KeyInfoForm},
  Spromeps in 'Spromeps.pas';

{$R *.res}

begin
  Application.Title := 'SPROEVAL';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TPWForm, PWForm);
  Application.CreateForm(TActivateForm, ActivateForm);
  Application.CreateForm(TEnumServerForm, EnumServerForm);
  Application.CreateForm(TKeyInfoForm, KeyInfoForm);
  Application.Run;
end.
