unit Key_info;

interface

uses
	Windows, Messages, SysUtils,Classes, Graphics, Controls, Forms,
	Dialogs, StdCtrls;


type
   TKeyInfoForm = class(TForm)
   L_iKeyID: TLabel;
   E_iKeyID: TEdit;
   L_oHardLimit: TLabel;
   E_oHardLimit: TEdit;
   L_oLicUse: TLabel;
   L_oTimedOut: TLabel;
   L_oHighestUse: TLabel;
   E_oLicUse: TEdit;
   E_oTimedOut: TEdit;
   E_oHighestUse: TEdit;
   B_NextKey: TButton;
   B_Cancel: TButton;
   procedure B_CancelClick(Sender: TObject);
   procedure B_NextKeyClick(Sender: TObject);
private
{ Private declarations }
public
{ Public declarations }
end;

var
   KeyInfoForm: TKeyInfoForm;

implementation

uses
   Spromeps,Eval;

{$R *.dfm}
{******************************************************************************
Function        : B_CancelClick
{******************************************************************************}

procedure TKeyInfoForm.B_CancelClick(Sender: TObject);
   begin
      KeyInfoForm.E_iKeyID.Text := '';
      KeyInfoForm.E_oHardLimit.Text := '';
      KeyInfoForm.E_oLicUse.Text := '';
      KeyInfoForm.E_oTimedOut.Text := '';
      KeyInfoForm.E_oHighestUse.Text := '';
      close;
   end;



{******************************************************************************
Function        : B_NextKeyClick
{******************************************************************************}

procedure TKeyInfoForm.B_NextKeyClick(Sender: TObject);
   var
      KeyID : WORD;
      status :WORD;
      keyinfo: NSPRO_MONITOR_INFO;
   begin
      if E_iKeyID.Text = '' then
         MessageDlg('Specify DeveloperID to proceed.',
                           mtError, [mbOK], 0)
      else
      begin
         if (length(E_iKeyID.Text) <= MAX_DEVID_LENGTH)  then
         begin
            try
               KeyID := StrToInt('$' + E_iKeyID.Text);
               NextKey:=NextKey+1;
               status := SproGetKeyInfo(@thePacket,KeyID ,(NextKey),@keyinfo);
               if status <> 0 then
               begin
               NextKey:=NextKey-1;
               MessageDlg('GetKeyInfo failed! Return code is '+ IntToStr(status)+ '.',
               mtError, [mbOK], 0)
               end
               else
               begin
               KeyInfoForm.E_iKeyID.Text := IntToHex(keyinfo.sproKeyMonitorInfo.devId,4);
               KeyInfoForm.E_oHardLimit.Text := IntToStr(keyinfo.sproKeyMonitorInfo.hardLimit);
               KeyInfoForm.E_oLicUse.Text := IntToStr(keyinfo.sproKeyMonitorInfo.inUse);
               KeyInfoForm.E_oTimedOut.Text := IntToStr(keyinfo.sproKeyMonitorInfo.numTimeOut);
               KeyInfoForm.E_oHighestUse.Text := IntToStr(keyinfo.sproKeyMonitorInfo.highestUse);
               end;
            except
               on EConvertError do
                  MessageDlg('DevID must be in hex with length not exceeding 4 digit.',
                                    mtError, [mbOK], 0);
            end;
         end
         else
            MessageDlg('DevID must be in hex with length not exceeding 4 digit.' ,
                              mtError, [mbOK], 0);
      end;
   end;

end.
