unit Password;

interface

uses
	SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
	Forms, Dialogs, StdCtrls, Buttons;

type
   TPWForm = class(TForm)
   WPW: TEdit;
   OPW2: TEdit;
   OPW1: TEdit;
   LabelWP: TLabel;
   LabelOWP1: TLabel;
   LabelOWP2: TLabel;
   OKBtn: TBitBtn;
   Button1: TButton;
   procedure OKBtnClick(Sender: TObject);
   procedure Button1Click(Sender: TObject);
private
{ Private declarations }
public
{ Public declarations }
end;

var
   PWForm: TPWForm;

implementation
uses
   Spromeps, Eval;

{$R *.DFM}
{******************************************************************************
Function        : OKBtnClick
{******************************************************************************}

procedure TPWForm.OKBtnClick(Sender: TObject);
 var
  isclose: WORD;

	begin
    isclose:=0;
		if ( not(WPW.Text = ''))then
		begin
      if ((length(WPW.Text) <= MAX_PASSWORDS_LENGTH)) then
      begin
         try
				 if WPW.Text <> '' then
         		WritePW := StrToInt('$' + WPW.Text);
         if((OPW1.Text <> '') or (OPW2.Text <> '')) then
           begin
              isclose:=1;
              if(not((OPW1.Text = '') or (OPW2.Text = ''))) then
              begin
			          if ((length(OPW1.Text) <= MAX_PASSWORDS_LENGTH) and (length(OPW2.Text) <= MAX_PASSWORDS_LENGTH ))then
			             begin
        				    try
                     if OPW1.Text <> '' then
        					    	OverWritePW1 := StrToInt('$' + OPW1.Text);
				           	if OPW2.Text <> '' then
						            OverWritePW2 := StrToInt('$' + OPW2.Text);
                                 Valid_OWritePW:=true;
        				   	close;
                    except
        					    on EConvertError do
				        		    MessageDlg('Overwrite Passwords must be in hex with length not exceeding 4 digit.',
								        				mtError, [mbOK], 0);
				              end;
			             end
                  else
			              MessageDlg('Overwrite Passwords must be in hex with length not exceeding 4 digit.' ,
			                           mtError, [mbOK], 0);
               end
               else
               begin
			          MessageDlg('Specify OverWrite Passwords to proceed.' ,
			          mtError, [mbOK], 0);

                end

         end;
        if(isclose=0)then
        begin
         Valid_OWritePW:=false;
         Valid_WritePW:=true;
        	close;
         end
      except
        					on EConvertError do
				        		MessageDlg('Write Password must be in hex with length not exceeding 4 digit.',
								        				mtError, [mbOK], 0);
      end;

      end
      else
			  MessageDlg('Write Passwords must be in hex with length not exceeding 4 digit.' ,
			              mtError, [mbOK], 0);
		end
		else
		MessageDlg('Specify Write Passwords to proceed.' ,
		mtError, [mbOK], 0);

	end;


{******************************************************************************
Function        : Button1Click
******************************************************************************}

procedure TPWForm.Button1Click(Sender: TObject);
   begin
      close;
   end;

end.
